SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000279: DHCP doesn't work on EFW 2.2 Beta1 - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000279Endian FirewallOther Servicespublic2007-10-29 11:022007-12-31 19:11
Reportertrung 
Assigned Topeter-endian 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version2.2-beta1 
Target VersionFixed in Version2.2-beta2 
Summary0000279: DHCP doesn't work on EFW 2.2 Beta1
DescriptionHi Endian Team,

It seems DHCP has a bug with IP range. It cannot start the DHCP service.

Thanks,

Trung
TagsNo tags attached.
Attached Files

- Relationships
related to 0000293closedpeter-endian Netwizard writes down NETMASK in CIDR notation 

-  Notes
(0000604)
aberriosdavila (reporter)
2007-10-30 00:35

I can confirm this on a fresh installation.

Endian is changing the netmask section from 255.255.255.0 to 24 , and in the range section is truncating the last three octets in start and end ip's.

What I did is to manually change both section and the daemon will start flawsly.
(0000622)
mlebel (reporter)
2007-11-02 14:39

May I ask where you made those changes? I have an issue were i've assigned a dhcp range. the machine does pick up the ip and get's internet access. My problem is that i don't see any of the dynamic ip's that were picked up by the computers. this happens on green blue and orange.
p.s. 255.255.255.0 does = to /24 so i'm not sure what you meant.

thanks
(0000623)
aberriosdavila (reporter)
2007-11-03 14:13

What I meant is that every time the efw starts the /etc/dhcpd.conf reads:

>> subnet 192.168.0.0 netmask 24 {
>> range 192 192;
>> option subnet-mask 24;

and the dhcpd daemon won't start that way with logs;

>> Nov 3 09:39:24 filiberto dhcpd: Internet Systems Consortium DHCP Server V3.0.1
>> Nov 3 09:39:24 filiberto dhcpd: Copyright 2004 Internet Systems Consortium.
>> Nov 3 09:39:24 filiberto dhcpd: All rights reserved.
>> Nov 3 09:39:24 filiberto dhcpd: For info, please visit http://www.isc.org/sw/dhcp/ [^]
>> Nov 3 09:39:24 filiberto dhcpd: /etc/dhcpd.conf line 6: too few numbers.
>> Nov 3 09:39:24 filiberto dhcpd: subnet 192.168.0.0 netmask 24 {
>> Nov 3 09:39:24 filiberto dhcpd: ^
>> Nov 3 09:39:24 filiberto dhcpd: Configuration file errors encountered -- exiting
>> Nov 3 09:39:24 filiberto dhcpd:

So I change the dhcpd.conf to:

>> subnet 192.168.0.0 netmask 255.255.255.0 {
>> range 192.168.0.100 192.168.0.149; [or range you define in green]
>> option subnet-mask 255.255.255.0;

then restart the dhcpd:

>> /etc/init.d/dhcp restart
>> Shutting down dhcpd: [FAILED]
>> Starting dhcpd: [ OK ]

make a copy of good conf in /root:

cp /etc/dhcpd.conf /root

then write a script call fix_dchp.sh in /root:

>> #!/bin/sh
>> cp /root/dhcpd.conf /etc/dhcpd.conf
>> /etc/init.d/dhcpd restart

an run it every time the efw is restarted,I know that it is "hard wired" for the configuration I have right now, but it works and I hope it gets fixed in the next community release.
(0000624)
mlebel (reporter)
2007-11-03 22:24
edited on: 2007-11-03 22:26

Thanks aberriosdavila i get it now, i followed your instructions and it seems to work... even the dynamic leases appear now.. thank you!

(0000626)
jfontes (reporter)
2007-11-06 16:05

aberriosdavila,
i've the same problem.

that's my solution:

"make a copy of good conf in /root:

cp /etc/dhcpd.conf /root"

then alter the script into /etc/rc.d/init.d/rc.local:

>> #!/bin/sh
>> cp /root/dhcpd.conf /etc/dhcpd.conf
>> /etc/init.d/dhcpd restart
>> exit 0


It's easy and the service dhcpd is auto restart with the machine's shutdown!
(0000631)
peter-endian (administrator)
2007-11-07 16:23

bug 293 was responsible

- Issue History
Date Modified Username Field Change
2007-10-29 11:02 trung New Issue
2007-10-30 00:35 aberriosdavila Note Added: 0000604
2007-11-02 14:39 mlebel Note Added: 0000622
2007-11-03 14:13 aberriosdavila Note Added: 0000623
2007-11-03 15:42 peter-endian Relationship added related to 0000293
2007-11-03 15:42 peter-endian Assigned To => peter-endian
2007-11-03 15:42 peter-endian Status new => confirmed
2007-11-03 22:24 mlebel Note Added: 0000624
2007-11-03 22:25 mlebel Note Edited: 0000624
2007-11-03 22:26 mlebel Note Edited: 0000624
2007-11-06 16:05 jfontes Note Added: 0000626
2007-11-07 16:23 peter-endian Status confirmed => resolved
2007-11-07 16:23 peter-endian Resolution open => no change required
2007-11-07 16:23 peter-endian Note Added: 0000631
2007-12-31 15:05 raphael-endian Fixed in Version => 2.2-beta2
2007-12-31 19:11 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker